From ee8c12eac62349f4524229370da20915624485ef Mon Sep 17 00:00:00 2001
From: Jan Engelhardt <jengelh@inai.de>
Date: Thu, 30 Mar 2023 23:41:22 +0200
Subject: [PATCH] build: resolve missing includes under gcc-13
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

$ make
...
~/gzdoom/libraries/ZVulkan/src/vulkanbuilders.cpp: In member function ‘std::unique_ptr<VulkanShader> ShaderBuilder::Create(const char*, VulkanDevice*)’:
~/gzdoom/libraries/ZVulkan/src/vulkanbuilders.cpp:168:28: error: ‘runtime_error’ is not a member of ‘std’
~/gzdoom/libraries/ZVulkan/include/zvulkan/vk_mem_alloc/vk_mem_alloc.h: In function ‘void VmaUint32ToStr(char*, size_t, uint32_t)’:
~/gzdoom/libraries/ZVulkan/include/zvulkan/vk_mem_alloc/vk_mem_alloc.h:2410:9: error: ‘snprint ’ was not declared in this scope
---
 src/common/rendering/vulkan/system/vk_builders.cpp              | 1 +
 src/common/rendering/vulkan/system/vk_swapchain.cpp             | 1 +
 .../rendering/vulkan/thirdparty/vk_mem_alloc/vk_mem_alloc.h     | 2 ++
 3 files changed, 4 insertions(+)

diff --git a/src/common/rendering/vulkan/system/vk_builders.cpp b/src/common/rendering/vulkan/system/vk_builders.cpp
index aff0de50a9..b8d4a13de9 100644
--- a/src/common/rendering/vulkan/system/vk_builders.cpp
+++ b/src/common/rendering/vulkan/system/vk_builders.cpp
@@ -20,6 +20,7 @@
 **
 */
 
+#include <stdexcept>
 #include "vk_builders.h"
 #include "engineerrors.h"
 #include "renderstyle.h"
diff --git a/src/common/rendering/vulkan/system/vk_swapchain.cpp b/src/common/rendering/vulkan/system/vk_swapchain.cpp
index f44139b1f5..e89a6bd823 100644
--- a/src/common/rendering/vulkan/system/vk_swapchain.cpp
+++ b/src/common/rendering/vulkan/system/vk_swapchain.cpp
@@ -20,6 +20,7 @@
 **
 */
 
+#include <stdexcept>
 #include "vk_swapchain.h"
 #include "vk_objects.h"
 #include "c_cvars.h"
diff --git a/src/common/rendering/vulkan/thirdparty/vk_mem_alloc/vk_mem_alloc.h b/src/common/rendering/vulkan/thirdparty/vk_mem_alloc/vk_mem_alloc.h
index fd4472286b..db0b94f4e8 100644
--- a/src/common/rendering/vulkan/thirdparty/vk_mem_alloc/vk_mem_alloc.h
+++ b/src/common/rendering/vulkan/thirdparty/vk_mem_alloc/vk_mem_alloc.h
@@ -104,6 +104,8 @@ Documentation of all members: vk_mem_alloc.h
 - [Source repository on GitHub](https://github.com/GPUOpen-LibrariesAndSDKs/VulkanMemoryAllocator)
 */
 
+#include <stdio.h>
+
 #ifdef __cplusplus
 extern "C" {
 #endif
-- 
2.40.1

